#ifndef POT_VIEW_HPP_
#define POT_VIEW_HPP_

#include <Widget/Layout/Layout.hpp>

/**
 * @brief Displays a widget inside of a heated pot icon.
 */
class PotView : public Layout
{
private:
    uint32_t &m_temperature;

public:
    PotView(uint32_t &temperature, Widget *child);

    virtual void layout() override;
    virtual glm::ivec2 getMinSize() override;
    virtual void draw(GraphicsContext &context) override;
};

#endif